Package: io.vertx.groovy.core.file

## [Groovy] Class FileProps

- io.vertx.groovy.core.file.FileProps

- Represents properties of a file on the file system.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FileProps (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `long` | `creationTime()` The date the file was created @return
    `java.lang.Object` | `getDelegate()`
    `boolean` | `isDirectory()` Is the file a directory?
    `boolean` | `isOther()` Is the file some other type?
    `boolean` | `isRegularFile()` Is the file a regular file?
    `boolean` | `isSymbolicLink()` Is the file a symbolic link?
    `long` | `lastAccessTime()` The date the file was last accessed @return
    `long` | `lastModifiedTime()` The date the file was last modified @return
    `long` | `size()` The size of the file, in bytes @return

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### FileProps(java.lang.Object delegate)

  - ### Method Detail

    - #### long creationTime()

      The date the file was created

      Returns:

    - #### java.lang.Object getDelegate()

    - #### boolean isDirectory()

      Is the file a directory?

      Returns:

    - #### boolean isOther()

      Is the file some other type? (I.e. not a directory, regular file or symbolic link)

      Returns:

    - #### boolean isRegularFile()

      Is the file a regular file?

      Returns:

    - #### boolean isSymbolicLink()

      Is the file a symbolic link?

      Returns:

    - #### long lastAccessTime()

      The date the file was last accessed

      Returns:

    - #### long lastModifiedTime()

      The date the file was last modified

      Returns:

    - #### long size()

      The size of the file, in bytes

      Returns: